---
lang: en
title: 'API docs: repository.type.iscoercible'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/repository
permalink: /doc/en/lb4/apidocs.repository.type.iscoercible.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [Type](./repository.type.md) &gt; [isCoercible](./repository.type.iscoercible.md)

## Type.isCoercible() method

Check if the given value can be coerced into this type

<b>Signature:</b>

```typescript
isCoercible(value: any, options?: Options): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  value | any | The value to to be coerced |
|  options | [Options](./repository.options.md) |  |

<b>Returns:</b>

boolean

A flag to indicate if the value can be coerced


